package com.yonge.cooleshow.common.enums;

import com.baomidou.mybatisplus.annotation.EnumValue;
import com.yonge.toolset.base.enums.BaseEnum;
import org.apache.commons.lang3.StringUtils;

public enum SysUserType implements BaseEnum<String, SysUserType> {

    STUDENT("学生"), TEACHER("指导老师"), SYSTEM("系统內置");
    @EnumValue
    private String code;

    private String desc;

    SysUserType(String desc) {
        this.code = this.name();
        this.desc = desc;
    }

    @Override
    public String getCode() {
        return name();
    }

    public String getDesc() {
        return desc;
    }
}
